# Transistor

Transistor is a powerful digital metrics platform from [Original Machine](http://originalmachine.com) that is currently in beta. This gem provides an interface to the Transistor API.

## Installation

Add this line to your application's Gemfile:

    gem 'transistor-client'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install transistor-client

## Usage

First, [sign in](http://transistor.fm) and create an Application. Then, add your credentials, maybe in an initializer:

```ruby
Transistor.configure do |config|
  config.id = 'xxxxxx'
	config.secret = 'xxxxxx'
end
```

You can also override the default settings, if you can't connect via ```https```, or wish to use an alternate host:

```ruby
Transistor.setup do |config|
  config.host = 'api.transistor.fm'
  config.secure = false
end
```

### Making Requests

```ruby
client = Transistor::Client.new
client.get('/channels')
```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

## License

&copy; 2013 Original Machine, LLC. Released under the MIT License.
